import PropTypes from 'prop-types';
import useYouTubeProperties from '../hooks/useYouTubeProperties.js';
import { BASE_CLASS, YOUTUBE_DEFAULT_TITLE } from '../settings/index.js';
import { jsx as _jsx } from "react/jsx-runtime";
var YouTubePlayer = function YouTubePlayer(_ref) {
  var controls = _ref.controls,
    src = _ref.src,
    _ref$title = _ref.title,
    title = _ref$title === void 0 ? YOUTUBE_DEFAULT_TITLE : _ref$title;
  var _useYouTubeProperties = useYouTubeProperties(),
    getEmbeddableUrl = _useYouTubeProperties.getEmbeddableUrl;
  var videoSrc = "" + getEmbeddableUrl(src) + (!controls ? '?controls=0' : '');
  return /*#__PURE__*/_jsx("div", {
    className: BASE_CLASS + "-youtubePlayer",
    children: /*#__PURE__*/_jsx("iframe", {
      className: BASE_CLASS + "-youtubePlayerFrame",
      src: videoSrc,
      title: title,
      frameBorder: "0",
      allow: "accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share",
      allowFullScreen: true
    })
  });
};
export default YouTubePlayer;